<?php

// Welcome Notice

if (!function_exists('digiwan_welcome_notice')) :
    function digiwan_welcome_notice()
    {
        if (get_option('digiwan_dismissed_custom_notice')) {
            return;
        }
        global $pagenow;
        $current_screen  = get_current_screen();

        if (is_admin()) {
            if ($current_screen->id !== 'dashboard' && $current_screen->id !== 'themes') {
                return;
            }
            if (is_network_admin()) {
                return;
            }
            if (!current_user_can('manage_options')) {
                return;
            }
            $theme = wp_get_theme();

            if (is_child_theme()) {
                $theme = wp_get_theme()->parent();
            }
            $digiwan_version = $theme->get('Version');


?>
            <div class="digiwan-admin-notice notice notice-info is-dismissible" id="digiwan-dismiss-notice">
                <div>
                    <div class="wirawp-notice-content">
                        <h1><?php echo __('Welcome to Digiwan WordPress Block Theme', 'digiwan'); ?></h1>
                        <div class="wirawp-no-plugin wirawp-notice">
							<h3><?php
                                if ( is_plugin_active( 'kadence-blocks/kadence-blocks.php' ) ) {
                                    echo __('Huray, Your Website Using Advanced Features For Free');
                                } else {
                                    echo __('Activated Recomended Plugins to Get All Features', 'digiwan');
                                }
                             
                             ?></h3>
						</div>
                        <div class="wirawp-notice-text">
                            <p><?php echo __('Discover the power and flexibility of our Full Site Editing (FSE) Block-Based Theme. Designed for seamless performance and lightning-fast loading, our theme requires no additional plugins to deliver exceptional functionality. Enjoy a streamlined and efficient website-building experience.', 'digiwan') ?></p>
                        </div>
                        <a href="<?php echo admin_url(); ?>themes.php?page=digiwan" class="button wirawp-btn-admin wirawp-btn-edit-theme"><?php echo __('Digiwan Dashboard', 'digiwan'); ?></a>
                    </div>
                </div>
                <div class="wirawp-hero-shot">
                    <img src="<?php echo esc_url(get_template_directory_uri() . '/screenshot.jpg'); ?>" />
                </div>

            </div>
    <?php
        }
    }
endif;
add_action('admin_notices', 'digiwan_welcome_notice');